Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.handlers.audit
Class AuditLogger

    java.lang.Object
      |
      +--oracle.soap.handlers.audit.AuditLogger

All Implemented Interfaces:
  Handler

public class AuditLogger
extends java.lang.Object
implements Handler

Field Summary
`static java.lang.String` | `AUDIT_EVENT_FILTER`
`static java.lang.String` | `AUDIT_INCLUDE_REQUEST`
`static java.lang.String` | `AUDIT_INCLUDE_RESPONSE`
`static java.lang.String` | `AUDIT_LOG_DIRECTORY`
`static java.lang.String` | `HANDLER_NAME`

Fields inherited from interface oracle.soap.server.Handler
`ERROR_TYPE, REQUEST_TYPE, RESPONSE_TYPE`

Constructor Summary
`AuditLogger()`

Method Summary
`void` | `destroy()` One-time handler cleanup.
`java.lang.String` | `getName()` Get this handler's name.
`java.util.Properties` | `getOptions()` Get this handler's options.
`void` | `init(SOAPServerContext ssctx)` One-time handler initialization.
`void` | `invoke(int chainType, RequestContext reqCtx)` Invoke the requested handler as part of the specified chain type.
`void` | `setName(java.lang.String name)` Set the name of the handler.
`void` | `setOptions(java.util.Properties options)` Set the options for the handler for subsequent use by init.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HANDLER_NAME

    public static final java.lang.String HANDLER_NAME

  See Also:
    Constant Field Values

### AUDIT_LOG_DIRECTORY

    public static final java.lang.String AUDIT_LOG_DIRECTORY

  See Also:
    Constant Field Values

### AUDIT_EVENT_FILTER

    public static final java.lang.String AUDIT_EVENT_FILTER

  See Also:
    Constant Field Values

### AUDIT_INCLUDE_REQUEST

    public static final java.lang.String AUDIT_INCLUDE_REQUEST

  See Also:
    Constant Field Values

### AUDIT_INCLUDE_RESPONSE

    public static final java.lang.String AUDIT_INCLUDE_RESPONSE

  See Also:
    Constant Field Values

Constructor Detail

### AuditLogger

    public AuditLogger()

Method Detail

### init

    public void init(SOAPServerContext ssctx)
              throws SOAPException

  Description copied from interface: `Handler`
  One-time handler initialization. This method will be invoked by the SOAP server exactly once before the server makes any invocations on the handler, allowing the handler to set up any global state. It uses any options that were set previously via `setOptions`.
  Specified by:
    `init` in interface `Handler`
  Parameters:
    `ssctx` - The SOAP server context, which contains the logger for informational messages.
  Throws:
    `SOAPException` - Unable to initialize the handler.
  See Also:

### setOptions

    public void setOptions(java.util.Properties options)

  Description copied from interface: `Handler`
  Set the options for the handler for subsequent use by init. This method must be called before `init`.
  Specified by:
    `setOptions` in interface `Handler`
  Parameters:
    `options` - Options that are specific to the handler implementation.
  See Also:
    `Handler.init(oracle.soap.server.SOAPServerContext)`

### getOptions

    public java.util.Properties getOptions()

  Description copied from interface: `Handler`
  Get this handler's options.
  Specified by:
    `getOptions` in interface `Handler`
  Returns:
    Options that are specific to the handler implementation.
  See Also:
    `Handler.setOptions(java.util.Properties)`

### destroy

    public void destroy()
                 throws SOAPException

  Description copied from interface: `Handler`
  One-time handler cleanup. This method will be invoked by the SOAP server exactly once before the server shuts down. This gives the handler the opportunity to do cleanup of global state.
  Specified by:
    `destroy` in interface `Handler`
  Throws:
    `SOAPException` - Unable to destroy.
  See Also:
    `Handler.init(oracle.soap.server.SOAPServerContext)`

### setName

    public void setName(java.lang.String name)

  Description copied from interface: `Handler`
  Set the name of the handler. This method must be called before `init`.
  Specified by:
    `setName` in interface `Handler`
  Parameters:
    `name` - The name of the handler instance.
  See Also:
    `Handler.getName()`

### getName

    public java.lang.String getName()

  Description copied from interface: `Handler`
  Get this handler's name.
  Specified by:
    `getName` in interface `Handler`
  Returns:
    The name of the handler instance.
  See Also:
    `Handler.setName(java.lang.String)`

### invoke

    public void invoke(int chainType,
    RequestContext reqCtx)
                throws SOAPException

  Description copied from interface: `Handler`
  Invoke the requested handler as part of the specified chain type. Note that execution of a chain of request handlers or response handlers will terminate immediately if any handler throws a `SOAPException`. In contrast, all handlers in an error chain will be invoked, regardless of whether any handler throws an exception. In case of an exception in an error handler, the exception is logged and discarded.
  Specified by:
    `invoke` in interface `Handler`
  Parameters:
    `chainType` - `Handler.REQUEST_TYPE` if the handler is being invoked as part of a request chain (i.e., before the service is invoked); `Handler.RESPONSE_TYPE` if the handler is being invoked as part of a response chain (i.e., after the service has been invoked); `Handler.ERROR_TYPE` if the handler is being invoked as part of an error chain (i.e., in case of an error during any one of request chain, service invocation, or response chain).
    `reqCtx` - The relevant request context.
  Throws:
    `SOAPException` - Handler invocation failed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.